Package org.bgerp.model.process.queue.filter

# Class FilterCustomerParam

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.model.process.queue.filter.Filter
org.bgerp.model.process.queue.filter.FilterParam
org.bgerp.model.process.queue.filter.FilterCustomerParam

public class FilterCustomerParam extends FilterParam

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.process.queue.filter.Filter

  `configMap, ON_EMPTY_VALUES, VALUES`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterCustomerParam(int id, ConfigMap filter, Parameter parameter)`

- ## Method Summary

  ### Methods inherited from class org.bgerp.model.process.queue.filter.FilterParam

  `apply, getParameter`

  ### Methods inherited from class org.bgerp.model.process.queue.filter.Filter

  `getAvailableValues, getConfigMap, getDefaultValues, getId, getOnEmptyValues, getTitle, getType, getValues, getValues, getWidth, isShow`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FilterCustomerParam

    public FilterCustomerParam(int id, ConfigMap filter, Parameter parameter)